Solved Firefox browser with adobe flash player outdated

ผมรัน Firefox browser แล้วพบว่ามันจะแจ้งว่า Adobe Flash Player Plugin ไม่ปลอดภัยเนื่องจาก Outdated จึงคลิกเข้าไปในหน้า Addons แล้ว ดาวน์โหลดจากเว็บ http://get.adobe.com/flashplayer/ ได้ไฟล์ install_flash_player_11_linux.x86_64.tar.gz จากนั้นแตกไฟล์ออกมาอย่างง่ายๆ เพราะใช้ GUI อยู่ ได้ไฟล์มาดังนี้

libflashplayer.so และไดเรกทอรี usr

flashplayer-outdated

แล้วเปิดอ่าน readme.txt สั่งว่าให้อัปเดตแบบ manual ก็ต้องทำตาม ทั้งๆที่อยากทำแบบคลิกๆๆๆ จะสะดวกสำหรับผู้ใช้มากกว่า

ตอนนี้ผมอยู่ที่หน้าต่าง terminal ของ linux mint ทำตามดังนี้

sudo cp libflashplayer.so /opt/mint-flashplugin-11/
sudo cp -r usr/* /usr

รัน firefox ใหม่ ตอนนี้ใช้งานได้แล้ว

หมายเหตุ

เครื่องที่ใช้งานคือ

ผมใช้คำสั่ง cat /etc/lsb-release ได้ดังนี้

DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=13
DISTRIB_CODENAME=maya
DISTRIB_DESCRIPTION="Linux Mint 13 Maya"

ผมใช้คำสั่ง uname -a ได้ดังนี้

Linux HP-ProBook-6450b 3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

จบครับ

Leave a Reply